> ## Documentation Index
> Fetch the complete documentation index at: https://plotweaver.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Audio Book



## OpenAPI

````yaml /api-reference/openapi.json get /v1/audio_books/{audio_book_id}
openapi: 3.1.0
info:
  title: Plotweaver AI Voice API
  version: 0.1.0
servers:
  - url: https://voice.plotweaver.app
    description: Staging Server
security: []
paths:
  /v1/audio_books/{audio_book_id}:
    get:
      tags:
        - Audio Book
      summary: Get Audio Book
      operationId: get_audio_book_v1_audio_books__audio_book_id__get
      parameters:
        - name: audio_book_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Audio Book Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AudioBookModel'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
        - HTTPBearer: []
components:
  schemas:
    AudioBookModel:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        file:
          type: string
          title: File
          description: A Public accessible URI or path string pointing to the text file.
          examples:
            - >-
              https://dpodkdhb03iee.cloudfront.net/TESTS/a553898a-e693-4c15-b3e6-32db42cf9482_AudioBook.txt
        name:
          type: string
          title: Name
          description: The title of your audiobook
          examples:
            - 'The Great Gatsby: Afro-Centric Edition'
        source_language:
          $ref: '#/components/schemas/Language'
          description: The starting language (case-sensitive to your Enum)
          examples:
            - English
        target_language:
          $ref: '#/components/schemas/Language'
          description: A String of valid Language enum values
          examples:
            - English
            - Hindu
            - Chinese
        audio_book_cover:
          anyOf:
            - type: string
            - type: 'null'
          title: Audio Book Cover
          description: Public Accessible URI to an image to be used as the Audio Book Cover
          examples:
            - https://example.com/covers/cover01.jpg
        localized_file:
          anyOf:
            - type: string
            - type: 'null'
          title: Localized File
        task_status:
          anyOf:
            - type: string
            - type: 'null'
          title: Task Status
        task_progress:
          anyOf:
            - type: number
            - type: 'null'
          title: Task Progress
        date_created:
          type: string
          format: date-time
          title: Date Created
        date_updated:
          type: string
          format: date-time
          title: Date Updated
      type: object
      required:
        - id
        - file
        - name
        - source_language
        - target_language
        - audio_book_cover
        - date_created
        - date_updated
      title: AudioBookModel
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    Language:
      type: string
      enum:
        - French
        - English
        - Amharic
        - Swahili
        - Chinese
        - Japanese
        - Korean
        - German
        - Russian
        - Portuguese
        - Spanish
        - Italian
        - Arabic
        - Dutch
        - Hindi
        - Urdu
      title: Language
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: API-KEY
    HTTPBearer:
      type: http
      scheme: bearer

````